Package twisted :: Package mail :: Module maildir |
[frames | no frames]

## Module twisted.mail.maildir

Maildir-style mailbox support

Classes
`_MaildirNameGenerator` | Utility class to generate a unique maildir name
`AbstractMaildirDomain` | Abstract maildir-backed domain.
`DirdbmDatabase` |
`MaildirDirdbmDomain` | A Maildir Domain where membership is checked by a dirdbm file
`MaildirMailbox` | Implement the POP3 mailbox semantics for a Maildir mailbox
`MaildirMessage` |
`StringListMailbox` |

Function Summary
| `initializeMaildir(dir)`

Variable Summary
`instance method` | `_generateMaildirName` = `twisted.mail.maildir._MaildirNameGenerator.generate`
`str` | `INTERNAL_ERROR` = `'From: Twisted.mail Internals\nSubject:...`

Variable Details

    ### INTERNAL_ERROR Type: `str` Value:
        '''From: Twisted.mail Internals
        Subject: An Error Occurred

          An internal server error has occurred.  Please contact the
          server administrator.
        '''

Generated by Epydoc 2.0 on Sat Oct 25 00:55:13 2003 | http://epydoc.sf.net